想用glib可不知道怎么安装

中文QNX 讨论: 欢迎大家灌水,讨论有关QNX 问题。

想用glib可不知道怎么安装

帖子sample » 周二 7月 03, 2007 2:22 pm

QNX 6.21下有第三方的glib可以用,版本太老1.2.
QNX 6.3下也有人出了移植, 版本2.11.

但我是在Windows下平台下工作, 他给的是.tar.bz2格式的包,缺省要释放到/usr/local下.
我把它放到了target/qnx6/usr/local下了
在Eclipse里指定了库路径, 头文件路径, 扩展库指定了静态的libglib-2.0.a

编译通过, 可链接时总提示:

代码: 全选
/cygdrive/d/QNX630/host/win32/x86/usr/bin/ntox86-ld cannot find -lD:/QNX630/target/qnx6/usr/local/lib/libglib-2.0.a


没想明白为什么?谁能给个提示洒?谢了.
sample
Senior Member
 
帖子: 49
注册: 周六 10月 04, 2003 1:24 am

回到 四海同心QNX论坛

在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客

cron